# Thunderstorm Event Reconnaissance (THUNER)

## Package description
Welcome to the Thunderstorm Event Reconnaissance (THUNER) v{__version__} package!
THUNER is a flexible toolkit for performing multi-feature detection, tracking, tagging
and analysis of events within meteorological datasets. The intended application is to
convective weather events. If you use this package in your research, consider citing 
the following papers;

Leese et al. (1971), JAMC, doi: 10.1175/1520-0450(1971)010<0118:AATFOC>2.0.CO;2
Dixon and Wiener (1993), JTECH, doi: 10.1175/1520-0426(1993)010<0785:TTITAA>2.0.CO;2
Fridlind et al. (2019), AMT, doi: 10.5194/amt-12-2979-2019
Raut et al. (2021), JAMC, doi: 10.1175/JAMC-D-20-0119.1
Short et al. (2023), MWR, doi: 10.1175/MWR-D-22-0146.1

Note many excellent competitors to THUNER exist, for instance;
https://github.com/FlexTRKR/PyFLEXTRKR
https://github.com/knubez/TAMS
https://github.com/tobac-project/tobac
https://github.com/AndreasPrein/MOAAP
Consider exploring these competitors to increase the robustness of your science!

## Examples

### GridRad
![GridRad Demo](./gallery/mcs_gridrad_20100120.gif)